﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Docs.Excel;

namespace ColorAndFill
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ExcelWorkbook Wbook = ExcelWorkbook.ReadXLS(@"..\..\..\ColorAndFill.xls");

            // Uncomment for XLSX reading
            // ExcelWorkbook Wbook = ExcelWorkbook.ReadXLSX(@"..\..\..\ColorAndFill.xlsx");
            
            // Create DataTabe object
            DataTable DataTable1 = new DataTable();
            int NumberRow = Wbook.Worksheets[0].Rows.Count * Wbook.Worksheets[0].Columns.Count;
            for (int i = 0; i < NumberRow; i++)
                DataTable1.Rows.Add(DataTable1.NewRow());

            DataTable1.Columns.Add("Cells ID");
            DataTable1.Columns.Add("Text");
            DataTable1.Columns.Add("BackGroundColor");
            DataTable1.Columns.Add("PatternFillStyle");
            DataTable1.Columns.Add("PatternForeColor");

            // Get first Worksheet name
            string WorksheetName = Wbook.Worksheets[0].Name;

            // Filling DataTableint
            int Count = 0;
            for (int i = 0; i < Wbook.Worksheets[0].Rows.Count; i++)
            {
                for (int j = 0; j < Wbook.Worksheets[0].Columns.Count; j++)
                {
                    DataTable1.Rows[Count][0] = ExcelColumn.ColumnIndexToName(j+1) + Convert.ToString(i + 1);
                    DataTable1.Rows[Count][1] = Wbook.Worksheets[0].Columns[j].Cells[i].ValueWithFormat();
                    DataTable1.Rows[Count][2] = Wbook.Worksheets[WorksheetName].Cells[i, j].Style.BackgroundColor;
                    DataTable1.Rows[Count][3] = Wbook.Worksheets[WorksheetName].Cells[i, j].Style.PatternFillStyle;
                    DataTable1.Rows[Count][4] = Wbook.Worksheets["ColorAndFill"].Rows[i].Cells[j].Style.PatternForeColor;
                    Count++;
                }
            }
            dataGridView1.DataSource = DataTable1;
        }
    }
}
