﻿Imports Docs.Excel

Module Module1

    Sub Main()
        'Create a new workbook.
        Dim Wbook = New ExcelWorkbook()

        'Add new worksheet to workbook.
        Wbook.Worksheets.Add("Sheet1")

        Wbook.Worksheets(0).Columns(1).Width = 130

        'Write text with the font of Times New Roman.
        Wbook.Worksheets(0).Cells("B2").Value = "Times New Roman"
        Wbook.Worksheets(0).Cells("B2").Style.Font = New ExcelCellFont("Times New Roman", 12, ColorPalette.KnownColor_WindowText)

        'Write text with the font of 14th size.
        Wbook.Worksheets(0).Cells("B4").Value = "Size 14"
        Wbook.Worksheets(0).Cells("B4").Style.Font.Size = 14

        'Write text with the font of Italic.
        Wbook.Worksheets(0).Cells("B6").Value = "Italic"
        Wbook.Worksheets(0).Cells("B6").Style.Font.Italic = True

        'Write text with the font of Bold.
        Wbook.Worksheets(0).Cells("B8").Value = "Bold"
        Wbook.Worksheets(0).Cells("B8").Style.Font.Bold = True

        'Write text with the font of Strikeout.
        Wbook.Worksheets(0).Cells("B10").Value = "Strikeout"
        Wbook.Worksheets(0).Cells("B10").Style.Font.Strikeout = True

        'Write text with the font of Subscript.
        Wbook.Worksheets(0).Cells("B12").Value = "Subscript"
        Wbook.Worksheets(0).Cells("B12").Style.Font.Subscript = True

        'Write text with the font of Superscript.
        Wbook.Worksheets(0).Cells("B14").Value = "Superscript"
        Wbook.Worksheets(0).Cells("B14").Style.Font.Superscript = True

        'Write text with the font of Underline.
        Wbook.Worksheets(0).Cells("B16").Value = "Underline"
        Wbook.Worksheets(0).Cells("B16").Style.Font.Underline = TypeOfUnderline.Double

        'Write text with the font of defined color.
        Wbook.Worksheets(0).Cells("B18").Value = "Color"
        Wbook.Worksheets(0).Cells("B18").Style.Font.Color = ColorPalette.SkyBlue

        'XLS
        Wbook.WriteXLS("..\..\..\FontStyle.xls")

        'XLSX
        Wbook.WriteXLSX("..\..\..\FontStyle.xlsx")

        'Open specified file in MS Excel.
        System.Diagnostics.Process.Start("..\..\..\FontStyle.xlsx")

    End Sub

End Module
