﻿using System;
using System.Collections.Generic;
using Docs.Excel;

namespace GetExistentRow
{
    class Program
    {
        static void Main(string[] args)
        {
            // Open excel file
            ExcelWorkbook wbook = ExcelWorkbook.ReadXLSX(@"..\..\..\ExcelRows.xlsx");

            // Some rows has no data in the excel file
            // GetRows() returns only rows that has data
            ExcelRow[] existentRowList = wbook.Worksheets[0].Rows.GetRows();
            for (int i = 0; i < existentRowList.Length; i++)
            {
                for (int j = 0; j <= existentRowList[i].Cells.Width; j++)
                {
                    if (existentRowList[i].Cells[j].Value != null)
                        Console.Write(existentRowList[i].Cells[j].Value.ToString());
                }
                Console.Write("\n");
            }

            Console.ReadLine();
        }
    }
}
