﻿Imports Docs.Excel

Module Module1

    Sub Main()
        ' Create a new workbook.
        Dim wbook = New ExcelWorkbook()
        ' Add new worksheet to workbook.
        wbook.Worksheets.Add("Sheet1")

        ' Set name of cell.
        wbook.Worksheets(0).Cells(0, 0).DefinedName = "DefinedName1"
        ' Set values of cells.
        wbook.Worksheets(0).Cells(0, 0).Value = 1
        wbook.Worksheets(0).Cells(0, 1).Value = 2
        wbook.Worksheets(0).Cells(0, 2).Value = 3
        wbook.Worksheets(0).Cells(1, 0).Value = 4
        wbook.Worksheets(0).Cells(1, 1).Value = 5
        wbook.Worksheets(0).Cells(1, 2).Value = 6
        ' Set name of cell.
        wbook.Worksheets(0).Cells(1, 2).DefinedName = "DefinedName2"
        ' Write a formula to cell.
        wbook.Worksheets(0).Cells(2, 0).Value = "=SUM(DefinedName1:DefinedName2)"

        'Write .xlsx file.
        wbook.WriteXLS("..\..\..\CellName.xls")

        'Write .xls file.
        wbook.WriteXLSX("..\..\..\CellName.xlsx")

        'Open specified file in MS Excel.
        System.Diagnostics.Process.Start("..\..\..\CellName.xlsx")
    End Sub

End Module
